#include <types/entity/camera.h>
#include <engine/occlusion.h>
#include <GL/glu.h>

void Camera::render() {
    glRotatef(angle.x,1.0f, 0.0f, 0.0f);
    glRotatef(angle.y,0.0f, 1.0f, 0.0f);
    glRotatef(angle.z,0.0f, 0.0f, 1.0f);

    glTranslatef(0.0f, 0.0f, 0.0f);

    gluLookAt(position.x, position.y, position.z,   // camera position
              position.x, position.y, engine->farPlane+position.z,   // target position, We're always *looking at* the far plane straight ahead so the camera never turns around.
              upVector.x,upVector.y,upVector.z);
}

void Camera::post_render() {
    ticksAlive++;
}


bool Camera::raycast(Entity *entity) {
    Vector3 rayOrigin = position;
    Vector3 rayAngle = angle;
}
