#pragma once
#include <types/entity/moby.h>
#include <engine/engine.h>
#include <glad/glad.h>
#include <J3ML/Geometry.h>

using J3ML::LinearAlgebra::Matrix4x4;
using J3ML::Geometry::Frustum;

const Vector3 UP = {0, 1, 0};
class Camera : public Moby {
public:
    bool takingScreenshot = false;
    Matrix4x4 GetViewMatrix();
    bool raycast(Entity* entity);
    Frustum getFrustum();
    void LookAt(Vector3 pos, Vector3 target, Vector3 upaxis = UP) {}
    void Rotate(float amt, Vector3 axis) { }
    void Translate(Vector3 dir) { }
    void pre_render() override {};
    void render() override;
    void post_render() override;
};