#pragma once

#include <types/entity/entity.h>

//Movable Object.
class Moby : public Entity {
public:
    Moby(): Entity(), velAngle({0,0,0})
    {

    }
    Vector3 velAngle = {0,0,0}; //The angle of an entities velocity.
    float hVelocity;
    float vVelocity;
    Vector3 upVector = {0.0f,1.0f,0.0f};
    virtual void hMove(Vector3 a, float vel);
    void vMove(float vel);
    Vector3 simulateHMove(Vector3 a, float speed);
    Vector3 simulateVMove(Vector3 position, float speed);
    Vector3 fAngle(); // forward angle
    Vector3 bAngle(); // back angle
    Vector3 lAngle(); // left angle
    Vector3 rAngle(); // right angle
};

