#pragma once

#include <iostream>
#include <cmath>
#include <cstdint>
#include <types/entity/moby.h>

class Sphere2 : public Moby {
public:
    bool alive;
    uint8_t health;
    uint8_t state;
    Vector3 cameraTarget;//The point where the 3rd-person camera will want to look at.
    //Each type of entity will have an "update" function and a "render" function.
    //These will be declared in each type of entity and not in the base entity because
    //It'll be different for each one.

    //The "camera point" is the position the camera will want to be while following the player.
    //We will probably end up having a different camera point class controlled by the "world".
    Collider getCollider() override;
    void update(float elapsed) override;
    void pre_render() override;
    Sphere2();
};